[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.DoOnParentHandleDestruction

Performs actions when the handle for the parent control is freed.

## Declaration

Source position: controls.pp line 2456

`protected procedure TGraphicControl.DoOnParentHandleDestruction; override;`

## Description

DoOnParentHandleDestruction is overridden in TGraphicControl to re-implement the method in the ancestor class. It ensures that Handle for the Canvas is freed when the parent handler is destroyed.

## See also

TGraphicControl.Canvas |  | A clipped window into the parent Canvas.
TControlCanvas.FreeHandle |  | Frees the Handle for the control canvas, and its device context when assigned.
TControl.DoOnParentHandleDestruction |  | Performs actions needed when the handle for the parent control is freed.